org.icefaces.ace.util

## Class MediaPlayerUtils

- java.lang.Object
- - org.icefaces.ace.util.MediaPlayerUtils

-     public class MediaPlayerUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MediaPlayerUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `deriveAndSetSourceAttribute(javax.faces.component.UIComponent comp, javax.faces.context.FacesContext context)`
    `static void` | `encodeBaseMediaElementEnd(javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent uic, javax.faces.context.FacesContext context, java.lang.String elem, java.lang.String src)`
    `static void` | `encodeBaseMediaElementStart(javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent uic, javax.faces.context.FacesContext context, java.lang.String elem, java.lang.String src)`
    `static java.lang.String` | `processStaticSrc(javax.faces.context.FacesContext facesContext, java.lang.Object o, java.lang.String url)`
    `static void` | `writeStandardLayoutAttributes(javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, java.lang.String baseClass)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MediaPlayerUtils

          public MediaPlayerUtils()

  - ### Method Detail

    - #### deriveAndSetSourceAttribute

          public static java.lang.String deriveAndSetSourceAttribute(javax.faces.component.UIComponent comp,
                                                                     javax.faces.context.FacesContext context)

    - #### processStaticSrc

          public static java.lang.String processStaticSrc(javax.faces.context.FacesContext facesContext,
                                                          java.lang.Object o,
                                                          java.lang.String url)

    - #### encodeBaseMediaElementStart

          public static void encodeBaseMediaElementStart(javax.faces.context.ResponseWriter writer,
                                                         javax.faces.component.UIComponent uic,
                                                         javax.faces.context.FacesContext context,
                                                         java.lang.String elem,
                                                         java.lang.String src)
                                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeBaseMediaElementEnd

          public static void encodeBaseMediaElementEnd(javax.faces.context.ResponseWriter writer,
                                                       javax.faces.component.UIComponent uic,
                                                       javax.faces.context.FacesContext context,
                                                       java.lang.String elem,
                                                       java.lang.String src)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeStandardLayoutAttributes

          public static void writeStandardLayoutAttributes(javax.faces.context.ResponseWriter writer,
                                                           javax.faces.component.UIComponent component,
                                                           java.lang.String baseClass)
                                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.